import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {FacultyResponse} from "@api/v1/facultyResponse";
import {FacultyDetailsResponse} from "@api/v1/facultyDetailsResponse";

@Injectable()
export class FacultyService extends ApiService {
  public readonly basePath = 'Faculty/';
  public readonly version = AvailableVersion.v1;

  public getFaculties(page: number | null = null, pageSize: number | null = null) {
    let request = this.createRequestBuilder()
      .setQueryParams({page: page, pageSize: pageSize})
      .build;

    return this.get<FacultyResponse[]>(request);
  }

  public getById(id: number) {
    return this.get<FacultyDetailsResponse>(id.toString());
  }
}
