import {EventEmitter, Injectable} from '@angular/core';
import {BehaviorSubject, Observable} from "rxjs";

@Injectable({
  providedIn: 'root'
})
export class NavigationService {
  private nextButtonState = new BehaviorSubject<boolean>(false);

  nextButtonState$ = this.nextButtonState.asObservable();
  nextButtonAction!: () => Observable<boolean>;

  skipNavigation: EventEmitter<() => Observable<boolean>> = new EventEmitter();

  setNextButtonState(state: boolean) {
    this.nextButtonState.next(state);
  }
}
